Skip to main content
Compute Management/VM Related Interfaces
PUTVM Related InterfacesSince 4.6.21SynchronousAuth Required

Update Guest Tools State

Update Guest Tools State

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • vmInstanceUuidStringRequired

    Virtual Machine UUID

Body Fields

  • systemTagsList

    System Tags

  • userTagsList

    User Tags

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    Error code. If not null, the operation failed. When the operation succeeds, this field is null. For details, see error

    • codeStringRequired

      Error code number, a globally unique identifier of the error, for example SYS.1000, HOST.1001

    • descriptionStringRequired

      Brief description of the error

    • detailsStringRequired

      Detailed error information

    • elaborationStringRequired

      Reserved field, defaults to null

    • opaqueLinkedHashMapRequired

      Reserved field, defaults to null

    • causeErrorCodeRequired

      Root cause. The error that triggered the current error. If there is no original error, this field is null

  • inventoryGuestToolsStateInventoryRequired

    For details, see inventory

    • vmInstanceUuidStringRequired

      Virtual Machine UUID

    • versionStringRequired

      Virtual Machine VMTools version

    • platformStringRequired

      Virtual Machine OS platform type

    • osTypeStringRequired

      Virtual Machine OS type

    • createDateTimestampRequired

      Creation time

    • lastOpDateTimestampRequired

      Last modification time

    • qgaStateGuestToolsQgaStateRequired

      For details, see qgaState

      • NotInstalledGuestToolsQgaStateRequired

        Not installed

      • RunningGuestToolsQgaStateRequired

        Running

      • NotRunningGuestToolsQgaStateRequired

        Stopped

      • NotUpgradedGuestToolsQgaStateRequired

        Pending upgrade

    • zwatchStateGuestToolsZWatchStateRequired

      For details, see zwatchState

      • NotInstalledGuestToolsZWatchStateRequired

        Not installed

      • RunningGuestToolsZWatchStateRequired

        Running

      • NotRunningGuestToolsZWatchStateRequired

        Not running

Endpoint

PUT/zstack/v1/vm-instances/{vmInstanceUuid}/guesttools-state

/zstack/v1/vm-instances/{vmInstanceUuid}/guesttools-state

Operation ID

UpdateGuestToolsState

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/vm-instances/{vmInstanceUuid}/guesttools-state' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "vmInstanceUuid": "321e85ca08b335e09f172041f7e710b5", "qgaState": "Running", "zwatchState": "Running", "version": "4.6.11", "platform": "Kylin", "osType": "Kylin" } }

Change History

This API has no change history records yet.

View all change history